unit uPluginMedicaciones;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList, uPlugins_Intf;

type
  IMCMedicaciones = interface(IInterface)
    ['{81B8FEE3-CF5A-44ED-BDEA-1A3AB7E47365}']
  end;

  TPluginMedicaciones = class(TModuleController, IMCMedicaciones)
    actMedicaciones: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Compras1: TMenuItem;
    Medicaciones1: TMenuItem;
    procedure actMedicacionesExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils, cxControls, uMedicacionesViewRegister,
  uMedicacionesController, uBizMedicaciones;

function GetModule : TModuleController;
begin
  Result := TPluginMedicaciones.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginMedicaciones.actMedicacionesExecute(Sender: TObject);
var
  AMedicacionesController : IMedicacionesController;
  AMedicaciones : IBizMedicacion;

begin
  AMedicacionesController := TMedicacionesController.Create;
  AMedicaciones := (AMedicacionesController.BuscarTodos as IBizMedicacion);
  AMedicacionesController.VerTodos(AMedicaciones);
end;

constructor TPluginMedicaciones.Create(AOwner: TComponent);
begin
  inherited;
  ModuleName := 'Medicaciones';
  uMedicacionesViewRegister.RegisterViews;
end;

destructor TPluginMedicaciones.Destroy;
begin
  uMedicacionesViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginMedicaciones);

finalization
  UnRegisterModuleClass(TPluginMedicaciones);

end.
